/*
 * lxline-c.c.c
 * Copyright (C) 2024, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <lxdata.h>
#include <lxline-drive.h>
#include <lxline-inter.h>

int
_libx1f4i0_lxline_c_centric(void *context, void *output, void **input)
{
    void *line[4];

    line[0] = *(input - 1);
    line[1] = *input;
    line[2] = &((struct x1f4_dxdata_type *) I_DATA(input[1]))->string;
    line[3] = *(input + 2);

    return _libx1f4i0_lxline_c_derived(context, output, line + 1);
}
