/*
 * lxline-i.j.c
 * Copyright (C) 2011-2017, 2022, 2024, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <l_note.h>
#include <lxline-inter.h>
#include <lxline-types.h>

#define rule_type			either_type

int
_libx1f4i0_lxline_very_line(struct lxrail_type *lxline_data,
			    struct fydata_type *fydata_data, void *dxline,
			    void *fxroll)
{
    struct rule_type rule;

    rule.lxline_data = (void *) lxline_data;

    rule.either = fydata_data - 1;

    rule.tune = 0;

    return _libx1f4i0_note_sfnote
	(dxline(dxline)->line, &rule, _libx1f4i0_lxline_very_data);
}
