/*
 * lxdash-i.j.c
 * Copyright (C) 2011-2018, 2022, 2024, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <d_fset.h>
#include <lxdash-inter.h>
#include <lxdash-types.h>

#define dxdash(list) \
    ((struct dxdash_type *) (list))

int
_libx1f4i0_lxdash_very_line(struct lxrail_type *lxdash_data,
			    struct fydata_type *fydata_data, void *dxdash,
			    void *fxroll)
{
    void *line;

    line = fydata_data;

    return _libx1f4i0_lime_lxfset
	(dxdash(dxdash)->dash, &line, _libx1f4i0_lxdash_very_data);
}
